import type { Parameter } from "@aws-sdk/client-ssm";
import { SSMClient } from "@aws-sdk/client-ssm";
export declare class ParameterStoreService {
    private readonly client;
    constructor(client: SSMClient);
    getParametersByPath(path: string, decryptParameters?: boolean, recursiveLoading?: boolean, verbose?: boolean): Promise<Array<Parameter>>;
}
